rio_request_outb_dbell
Prev | Functions | Next

## Name

rio_request_outb_dbell — request outbound doorbell message range

## Synopsis

`struct resource * rio_request_outb_dbell (` | struct rio_dev * | rdev,
| u16 | start,
| u16 | end`)`;

## Arguments

`rdev`

  RIO device from which to allocate the doorbell resource

`start`

  Doorbell message range start

`end`

  Doorbell message range end

## Description

Requests ownership of a doorbell message range. Returns a resource if the request has been satisfied or `NULL` on failure.

Prev | Up | Next
rio_release_inb_dbell | Home | rio_release_outb_dbell